<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hssf.usermodel.HSSFSheet (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hssf.usermodel.HSSFSheet (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFSheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hssf.usermodel.HSSFSheet" class="title">Uses of Class<br>org.apache.poi.hssf.usermodel.HSSFSheet
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel.helpers">org.apache.poi.hssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.util">org.apache.poi.hssf.util</a></td>
                    <td class="colLast">
                        <div class="block">util package contains tools needed for writing HSSF files that are not
                            necesarily "real"
                            HSSF concepts.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a> in <a
                            href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static int</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractExcelConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-int-">getColumnWidth</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;columnIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static int</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractExcelConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getDefaultColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-">getDefaultColumnWidth</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#processColumnHeaders-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">processColumnHeaders</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;maxSheetColumns,
                                org.w3c.dom.Element&nbsp;table)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processColumnHeaders-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">processColumnHeaders</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;maxSheetColumns,
                                org.w3c.dom.Element&nbsp;table)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#processColumnWidths-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">processColumnWidths</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;maxSheetColumns,
                                org.w3c.dom.Element&nbsp;table)</code>
                                <div class="block">Creates COLGROUP element with width specified for all columns.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected float</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processColumnWidths-org.apache.poi.hssf.usermodel.HSSFSheet-int-org.w3c.dom.Element-">processColumnWidths</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;maxSheetColumns,
                                org.w3c.dom.Element&nbsp;table)</code>
                                <div class="block">Creates COLGROUP element with width specified for all columns.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#processSheet-org.apache.poi.hssf.usermodel.HSSFSheet-">processSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected float</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">processSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                org.w3c.dom.Element&nbsp;flow)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html#processSheetHeader-org.w3c.dom.Element-org.apache.poi.hssf.usermodel.HSSFSheet-">processSheetHeader</a></span>(org.w3c.dom.Element&nbsp;htmlBody,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExcelToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html#processSheetName-org.apache.poi.hssf.usermodel.HSSFSheet-org.w3c.dom.Element-">processSheetName</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                org.w3c.dom.Element&nbsp;flow)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRule12Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-byte-java.lang.String-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                byte&nbsp;comparisonOperation,
                                java.lang.String&nbsp;formulaText1,
                                java.lang.String&nbsp;formulaText2)</code>
                                <div class="block">Creates a new comparison operation rule</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleRecord.html"
                                    title="class in org.apache.poi.hssf.record">CFRuleRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleRecord.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-byte-java.lang.String-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                byte&nbsp;comparisonOperation,
                                java.lang.String&nbsp;formulaText1,
                                java.lang.String&nbsp;formulaText2)</code>
                                <div class="block">Creates a new comparison operation rule</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRule12Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-byte-java.lang.String-java.lang.String-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                byte&nbsp;comparisonOperation,
                                java.lang.String&nbsp;formulaText1,
                                java.lang.String&nbsp;formulaText2,
                                java.lang.String&nbsp;formulaTextScale)</code>
                                <div class="block">Creates a new comparison operation rule</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRule12Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.record.common.ExtendedColor-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/record/common/ExtendedColor.html"
                                   title="class in org.apache.poi.hssf.record.common">ExtendedColor</a>&nbsp;color)</code>
                                <div class="block">Creates a new Data Bar formatting</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRule12Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                   title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;iconSet)</code>
                                <div class="block">Creates a new Icon Set / Multi-State formatting</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRule12Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                java.lang.String&nbsp;formulaText)</code>
                                <div class="block">Creates a new comparison operation rule</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleRecord.html"
                                    title="class in org.apache.poi.hssf.record">CFRuleRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleRecord.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleRecord.html#create-org.apache.poi.hssf.usermodel.HSSFSheet-java.lang.String-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                java.lang.String&nbsp;formulaText)</code>
                                <div class="block">Creates a new comparison operation rule</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRule12Record.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html#createColorScale-org.apache.poi.hssf.usermodel.HSSFSheet-">createColorScale</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>
                                <div class="block">Creates a new Color Scale / Color Gradient formatting</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRuleBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRuleBase.html#parseFormula-java.lang.String-org.apache.poi.hssf.usermodel.HSSFSheet-">parseFormula</a></span>(java.lang.String&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>
                                <div class="block">TODO - parse conditional format formulas properly i.e.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#Z:Z_sheets">_sheets</a></span></code>
                                <div class="block">this holds the HSSFSheet objects attached to this workbook</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#cloneSheet-int-">cloneSheet</a></span>(int&nbsp;sheetIndex)</code>
                                <div class="block">create an HSSFSheet from an existing sheet in the HSSFWorkbook.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#createSheet--">createSheet</a></span>()</code>
                                <div class="block">create an HSSFSheet for this HSSFWorkbook, adds it to the sheets and
                                    returns
                                    the high level representation.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#createSheet-java.lang.String-">createSheet</a></span>(java.lang.String&nbsp;sheetname)</code>
                                <div class="block">Create a new sheet for this Workbook and return the high level
                                    representation.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getSheet--">getSheet</a></span>()</code>
                                <div class="block">Returns the HSSFSheet this row belongs to</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPicture.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFCell.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#getSheet--">getSheet</a></span>()</code>
                                <div class="block">Returns the HSSFSheet this cell belongs to</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatriarch.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#getSheet-java.lang.String-">getSheet</a></span>(java.lang.String&nbsp;name)</code>
                                <div class="block">Get sheet with the given name (case insensitive match)</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html#getSheetAt-int-">getSheetAt</a></span>(int&nbsp;index)</code>
                                <div class="block">Get the HSSFSheet object at the given index.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#createBarChart-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-">createBarChart</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;parentSheet)</code>
                                <div class="block">Creates a bar chart.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/record/DVRecord.html"
                                    title="class in org.apache.poi.hssf.record">DVRecord</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidation.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html#createDVRecord-org.apache.poi.hssf.usermodel.HSSFSheet-">createDVRecord</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>float</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFClientAnchor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html#getAnchorHeightInPoints-org.apache.poi.hssf.usermodel.HSSFSheet-">getAnchorHeightInPoints</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>
                                <div class="block">Calculates the height of a client anchor in points.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFChart</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.html#getSheetCharts-org.apache.poi.hssf.usermodel.HSSFSheet-">getSheetCharts</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>
                                <div class="block">Returns all the charts for the given sheet.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.record.CellValueRecordInterface-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                   title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cval)</code>
                                <div class="block">Creates an HSSFCell from a CellValueRecordInterface.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-int-short-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;row,
                                short&nbsp;col)</code>
                                <div class="block">Creates new Cell - Should only be called by HSSFRow.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html#HSSFCell-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.hssf.usermodel.HSSFSheet-int-short-org.apache.poi.ss.usermodel.CellType-">HSSFCell</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                int&nbsp;row,
                                short&nbsp;col,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                   title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                <div class="block">Creates new Cell - Should only be called by HSSFRow.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html#HSSFColorScaleFormatting-org.apache.poi.hssf.record.CFRule12Record-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFColorScaleFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a>&nbsp;cfRule12Record,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingThreshold.html#HSSFConditionalFormattingThreshold-org.apache.poi.hssf.record.cf.Threshold-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFConditionalFormattingThreshold</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/cf/Threshold.html"
                                    title="class in org.apache.poi.hssf.record.cf">Threshold</a>&nbsp;threshold,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataBarFormatting.html#HSSFDataBarFormatting-org.apache.poi.hssf.record.CFRule12Record-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFDataBarFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a>&nbsp;cfRule12Record,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#HSSFDataValidationHelper-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFDataValidationHelper</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFIconMultiStateFormatting.html#HSSFIconMultiStateFormatting-org.apache.poi.hssf.record.CFRule12Record-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFIconMultiStateFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CFRule12Record.html"
                                    title="class in org.apache.poi.hssf.record">CFRule12Record</a>&nbsp;cfRule12Record,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#HSSFColumnShifter-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFColumnShifter</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sh)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#HSSFRowShifter-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFRowShifter</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sh)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a> in <a
                            href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderBottom-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderBottom</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderLeft-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderLeft</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the left border for a region of cells by manipulating the cell
                                    style
                                    of the individual cells on the left
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderRight-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderRight</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderRight attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBorderTop-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBorderTop</a></span>(int&nbsp;border,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the borderBottom attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setBottomBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setBottomBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the bottomBorderColor attribute of the HSSFRegionUtil object
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setLeftBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setLeftBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the leftBorderColor attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setRightBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setRightBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the rightBorderColor attribute of the HSSFRegionUtil object
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRegionUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFRegionUtil.html#setTopBorderColor-int-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.hssf.usermodel.HSSFSheet-org.apache.poi.hssf.usermodel.HSSFWorkbook-">setTopBorderColor</a></span>(int&nbsp;color,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                   title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the topBorderColor attribute of the HSSFRegionUtil object</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
               title="class in org.apache.poi.hssf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFSheet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
